{"title":"Get approval entries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_approvalentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_approvalentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_approvalentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Use the Business Central API to retrieve current approval entries, including document details, approvers, status, amounts, and due dates.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get approval entries","slug":"get-approval-entries","at":0,"chars":1586},{"level":2,"title":"HTTP request","slug":"http-request","at":95,"chars":316},{"level":2,"title":"Request headers","slug":"request-headers","at":411,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":483,"chars":61},{"level":2,"title":"Response","slug":"response","at":544,"chars":122},{"level":2,"title":"Example","slug":"example","at":666,"chars":786},{"level":2,"title":"Related information","slug":"related-information","at":1452,"chars":134}],"text":"# Get approval entries\nRetrieve the properties of an approvalEntry object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central based on the environment. See API endpoints<../endpoints-apis-for-dynamics>.\n```http\nGET businesscentralPrefix/companies({companyId})/approvalEntries({approvalEntryId})\n```\nTo retrieve all approval entries, omit `({approvalEntryId})` from the request URL.\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a `200 OK` response code and an approvalEntry object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```http\nGET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/approvalEntries({approvalEntryId})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object is truncated for brevity. The actual response includes all properties.\n```json\n{\n    \"id\": \"aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb\",\n    \"entryNumber\": 42,\n    \"documentType\": \"Order\",\n    \"documentNumber\": \"101001\",\n    \"senderId\": \"ALEX\",\n    \"senderName\": \"Alex Wilber\",\n    \"approverId\": \"SARA\",\n    \"approverName\": \"Sara Davis\",\n    \"status\": \"Open\",\n    \"dateTimeSentForApproval\": \"2026-08-04T09:30:00Z\",\n    \"dueDate\": \"2026-08-11\",\n    \"amount\": 1250.00,\n    \"currencyCode\": \"USD\",\n    \"lastModifiedDateTime\": \"2026-08-04T09:30:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_approvalentry"}